BEGIN;
SELECT _v.register_patch('exchange-0010', NULL, NULL);
SET search_path TO exchange;
CREATE OR REPLACE FUNCTION alter_table_kyc_attributes10(
  IN partition_suffix TEXT DEFAULT NULL
)
RETURNS VOID
LANGUAGE plpgsql
AS $$
DECLARE
  table_name TEXT DEFAULT 'kyc_attributes';
BEGIN
  PERFORM create_partitioned_table(
    'ALTER TABLE %I'
    ' ADD COLUMN form_name TEXT DEFAULT(NULL)'
    ',ADD COLUMN by_aml_officer BOOL NOT NULL DEFAULT(FALSE)'
    ';'
    ,table_name
    ,''
    ,partition_suffix
  );
  PERFORM comment_partitioned_column(
     'Name of the form (FORM_ID) that is captured in the attributes.'
    ,'form_name'
    ,table_name
    ,partition_suffix
  );
  PERFORM comment_partitioned_column(
     'TRUE if the attributes were submitted by an AML officer.'
    ,'by_aml_officer'
    ,table_name
    ,partition_suffix
  );
END $$;
INSERT INTO exchange_tables
    (name
    ,version
    ,action
    ,partitioned
    ,by_range)
  VALUES
    ('kyc_attributes10'
    ,'exchange-0010'
    ,'alter'
    ,TRUE
    ,FALSE);
COMMIT;
